Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
devsettings::Snmp::Configuration Struct Reference

SNMP agent configuration. More...

`import <Snmp.idl;`

## Public Attributes
boolean | v2enable
| SNMP v1 / 2c enabled.
boolean | v3enable
| SNMP v3 enabled.
string | readComm
| read community string
string | writeComm
| write community string
string | sysContact
| system contact
string | sysName
| system name
string | sysLocation
| system location

## Detailed Description

SNMP agent configuration.

Definition at line 19 of file Snmp.idl.

## Member Data Documentation

## ◆ readComm

string devsettings::Snmp::Configuration::readComm

read community string

Definition at line 22 of file Snmp.idl.

## ◆ sysContact

string devsettings::Snmp::Configuration::sysContact

system contact

Definition at line 24 of file Snmp.idl.

## ◆ sysLocation

string devsettings::Snmp::Configuration::sysLocation

system location

Definition at line 26 of file Snmp.idl.

## ◆ sysName

string devsettings::Snmp::Configuration::sysName

system name

Definition at line 25 of file Snmp.idl.

## ◆ v2enable

boolean devsettings::Snmp::Configuration::v2enable

SNMP v1 / 2c enabled.

Definition at line 20 of file Snmp.idl.

## ◆ v3enable

boolean devsettings::Snmp::Configuration::v3enable

SNMP v3 enabled.

Definition at line 21 of file Snmp.idl.

## ◆ writeComm

string devsettings::Snmp::Configuration::writeComm

write community string

Definition at line 23 of file Snmp.idl.

The documentation for this struct was generated from the following file:

- Snmp.idl